From a3b8cd8557a1533c6c497b9d0cc880284a1cfadb Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Rafa=C5=82=20Mi=C5=82ecki?= <zajec5@gmail.com>
Date: Thu, 18 Jun 2009 09:57:31 +0200
Subject: [PATCH] PM: Fix printing units and variable typo in memory code

---
 src/rhd_pm.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/rhd_pm.c b/src/rhd_pm.c
index 370760c..a063d06 100644
--- a/src/rhd_pm.c
+++ b/src/rhd_pm.c
@@ -57,7 +57,7 @@ RHDPmInit(RHDPtr rhdPtr)
             if (defaultEngine) {
                 Pm->ForcedEngineClock = defaultEngine / 2;
                 xf86DrvMsg(rhdPtr->scrnIndex, X_INFO, "ForceLowPowerMode: "
-                           "calculated engine clock at %ldHz\n", 
+                           "calculated engine clock at %ldkHz\n", 
                            Pm->ForcedEngineClock);
             }
             else {
@@ -69,7 +69,7 @@ RHDPmInit(RHDPtr rhdPtr)
         else {
             Pm->ForcedEngineClock = rhdPtr->lowPowerModeEngineClock.val.integer;
             xf86DrvMsg(rhdPtr->scrnIndex, X_INFO, "ForceLowPowerMode: forced "
-                       "engine clock at %ldHz\n", Pm->ForcedEngineClock);
+                       "engine clock at %ldkHz\n", Pm->ForcedEngineClock);
         }
 
         #if 0
@@ -77,8 +77,8 @@ RHDPmInit(RHDPtr rhdPtr)
         if (defaultMemory) {
             Pm->ForcedMemoryClock = defaultMemory / 2;
             xf86DrvMsg(rhdPtr->scrnIndex, X_INFO, "ForceLowPowerMode: "
-                        "calculated memory clock at %ldHz\n", 
-                        Pm->ForcedEngineClock);
+                        "calculated memory clock at %ldkHz\n", 
+                        Pm->ForcedMemoryClock);
         }
         else {
             xf86DrvMsg(rhdPtr->scrnIndex, X_WARNING, "ForceLowPowerMode: "
-- 
1.6.0.2

